aboutsummaryrefslogtreecommitdiffstats
path: root/main/gst-plugins-bad/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
commit9526ee659401dee7160f35cb62ded2779bcbbc99 (patch)
tree812ad73bde9c84dcc02a3acbc5db576369ca314a /main/gst-plugins-bad/APKBUILD
parent05e09c1126a898b6d0af491fef0401bf53e297f8 (diff)
downloadaports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.gz
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.bz2
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.xz
merged x11 repository into main
ref #255
Diffstat (limited to 'main/gst-plugins-bad/APKBUILD')
-rw-r--r--main/gst-plugins-bad/APKBUILD31
1 files changed, 31 insertions, 0 deletions
diff --git a/main/gst-plugins-bad/APKBUILD b/main/gst-plugins-bad/APKBUILD
new file mode 100644
index 0000000000..97eb64f268
--- /dev/null
+++ b/main/gst-plugins-bad/APKBUILD
@@ -0,0 +1,31 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=gst-plugins-bad
+pkgver=0.10.14
+pkgrel=0
+pkgdesc="GStreamer bad plugins"
+url="http://gstreamer.freedesktop.org/"
+license="LGPL GPL"
+depends=""
+makedepends="pkgconfig gst-plugins-base-dev gstreamer-dev xvidcore-dev
+ bzip2-dev neon-dev faac-dev libexif-dev faad2-dev glib-dev liboil-dev
+ alsa-lib-dev libx11-dev sdl-dev"
+
+#'libdca>=0.0.5' 'bzip2' 'libdc1394>=2.1.0' 'exempi>=2.1.0' 'jack-audio-connection-kit>=0.116.2' 'neon>=0.28.4' 'faac>=1.28' 'libexif>=0.6.17' 'musicbrainz>=2.1.5' 'faad2>=2.7' 'libmms>=0.4' 'libcdaudio>=0.99.12' 'libmpcdec>=1.2.6' 'mjpegtools>=1.9.0' 'libdvdnav>=4.1.3' 'libmodplug>=0.8.7' 'jasper>=1.900.1' 'liblrdf>=0.4.0' 'libofa>=0.9.3')
+source="http://gstreamer.freedesktop.org//src/gst-plugins-bad/gst-plugins-bad-$pkgver.tar.bz2"
+
+build ()
+{
+ cd ""$srcdir"/gst-plugins-bad-$pkgver"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --disable-static \
+ --enable-experimental \
+ --with-package-name="GStreamer Bad Plugins (Alpine Linux)" \
+ --with-package-origin="http://www.alpinelinux.org/" \
+ || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install
+}
+
+md5sums="6be38b04fc76cdfef3a3b02b8434efa2 gst-plugins-bad-0.10.14.tar.bz2"